package com.community.huiju.dao;

import com.community.huiju.model.ToSysRole;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 运营 web端
 */
@Mapper
public interface ToSysRoleMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(ToSysRole record);

    int insertSelective(ToSysRole record);

    ToSysRole selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(ToSysRole record);

    int updateByPrimaryKey(ToSysRole record);

    /**
     * 根据用户ID查询所有角色
     * @param userId
     * @return
     */
    List<ToSysRole> selectRoleByUserId(Integer userId);
}